Subject: Re: [Zope-dev] Zope & Cygwin
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>, "'Chris McDonough'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sat, 20 Oct 2001 19:15:40 +1000

----- Original Message -----
From: "Norman Vine" <[email-masked]>
To: "'Chris McDonough'" <[email-masked]>
> > I wanted to torture test the Zope
> >session manager under the cygwin-built Zope using ab, which is good
> >real-world threading test.  It appears that neither ab nor wget much
like
> >something about their communication with the cygwin-built Zope.
Here's a
> >wget session with a cygwin-built python/Zope combo:
..
> Yup...  I get the same results :-(
>
> If you can tell me where the code is in Zope that is determining the
> Content-Length I will look into the Python && Cygwin 'C" code that
> is being called.

This may well be related to the reported breakage with cygwin more
recent than 1.3.1/1.1.8 and apache. I've got a faulting setup with squid
showing the same thing,  but no time to debug (yet). You might consider
testing with 1.1.8 and seeing if that fixes the issue. If reverting does
'fix' this, and the time to cause the fault is relatively short,
consider doing a binary CVS search to find the commit that broke it.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/